<?php
        
/*
beroFix.php

*/
        
        include("../../php/beroConf.php");
        include("../berogui/misc/database.php");
        include("../berogui/includes/isgwtelnet.php");
        
        $cmd=$_GET['cmd'];
        $data=$_GET['data'];
        static $display;
        $Version="1.06";
        unset($display);
        
        if($cmd=="help"){
           	$result=help();
        	exit;
        }
        elseif($cmd=="info"){
			$tmp=split("=",$data);
           	if (count($tmp)!=2){
        		unset($display);
        	}else{
        		$cinfo=$tmp[1];
        		//echo $cinfo;
        		$display=infocmd($cinfo);
        		
        	}
        }elseif($cmd=="fulltrace"){
       	$strpath="/usr/conf/";
		$db=new beroAri($strpath . "ari.db");
		$qu = $db->select("select * from isdn");
		$ports="";
		//Alle Einträge von der Abfrage werden durchgelaufen
		while ($entry = $db->fetch_array($qu)) {
			if ($ports != "")
				$ports .= "," .  $entry['port'];
			else
				$ports .=  $entry['port'];

		}
		if ($data=="action=stop"){
			system("/usr/bin/killall tcpdump");
			system("/usr/bin/killall mISDNdebugtool");
			system("/sbin/rmmod mISDN_debugtool");
		
			//tar.gz erzeugen
			exec("/bin/rm /tmp/DebugFiles.tar.gz");
			$splitports = split(',', $ports);
			$files = "";
	
			foreach ($splitports as $value) {
				if (file_exists("/tmp/ISDNdebug-$value")) {
					if ($files != "")
						$files .= " ISDNdebug-" . $value;
					else
						$files .= "-C /tmp/ ISDNdebug-" . $value;
				}
			}
			if (file_exists("/tmp/tcpDump")) {
				if ($files != "")
					$files .= " tcpDump";
				else
					$files .= "-C /tmp/ tcpDump";
			}
			if (file_exists("/tmp/tcpDump.lo")) {
				if ($files != "")
					$files .= " tcpDump.lo";
				else
					$files .= "-C /tmp/ tcpDump.lo";
			}
			$err_files=glob("/tmp/isgw.err*");
			foreach($err_files as $file) {
				//echo basename($file)."<br/>";
				$files.=" ".basename($file);
			}
			$log_files=glob("/tmp/isgw.log*");
			foreach($log_files as $file) {
				//echo basename($file)."<br/>";
				$files.=" ".basename($file);
			}
			$files.=" /usr/conf ";
			
			//echo $files;
			exec("/bin/tar -czf /tmp/DebugFiles.tar.gz " . $files);
			exec("/bin/rm /tmp/ISDNdebug*");
			exec("/bin/rm /tmp/tcpDump");
			exec("/bin/rm /tmp/tcpDump.lo");
			$db->set("trace","no");
			echo "fulltrace:success" ."\n";
			exit;
		}
		
		if ($data=="action=download"){
			if ($db->get("trace")=="no"){
				if (file_exists("/tmp/DebugFiles.tar.gz")){
					$file = file("/tmp/DebugFiles.tar.gz");
					$file2 = implode("", $file);
					header("Content-Type: application/force-download");
					header("Content-Disposition: attachment; filename=DebugFiles.tar.gz\r\n\r\n");
					header("Content-Length: " . strlen($file2) . "\n\n");
					echo $file2;
				}
				echo "fulltrace:success" ."\n";
			}else{
				echo "fulltrace:error:full trace is running. Stop before download" ."\n";
			exit;
			}
			exit;
		}
		$data=split(":",$data);
                if(count($data)!=3){
                        echo "fulltrace:error:fulltrace_requires_3_parameters\n";
                        exit;
                }
                $tmp=split("=",$data[0]);
                $action=$tmp[1];
                $tmp=split("=",$data[1]);
                $sipsign=$tmp[1];
                $tmp=split("=",$data[2]);
                $sipaudio=$tmp[1];
		if ($db->get("trace")=="no" && $action=="start"){
			$db->set("trace","yes");
			if ($ports != "" ){
				exec("/sbin/insmod /usr/local/modules/mISDN_debugtool.ko");
				exec("/usr/local/bin/mISDNdebugtool -d -s 5000 -f /tmp/ISDNdebug -p " . $ports);
			}
			if ($sip_sign=='yes' && $sip_audio=='yes'){
				exec("/usr/local/sbin/tcpdump -s0 -w /tmp/tcpDump -C 2 > /dev/null &");
				exec("/usr/local/sbin/tcpdump -i lo -s0 -w /tmp/tcpDump.lo -C 2 > /dev/null &");
			}
			
			if ($sip_sign=='yes' && $sip_audio=="no"){
				exec("/usr/local/sbin/tcpdump -s0 -w /tmp/tcpDump -C 2 udp port ".$this->udp()." > /dev/null &");
				exec("/usr/local/sbin/tcpdump -i lo -s0 -w /tmp/tcpDump.lo -C 2 udp port ".$this->udp()." > /dev/null &");
			}
			echo "fulltrace:success" ."\n";
			exit;
		}else{
			echo "fulltrace:error:full trace is already running" ."\n";
			exit;
		
		}

	}
                
        elseif ($cmd=="misdnportinfo"){
        	exec('/usr/local/bin/misdnportinfo',$result);
        	echo "misdnportinfo:\n<br>";
        	foreach($result as $row){
        		echo $row . "\n<br>";
			}
        	exit;
		}
        elseif ($cmd=="setapipwd")
        {
                $tmp=split("=",$data);
                if (count($tmp)!=2){
                	
                	echo "setapipwd:error:requires_1_parameter" ."\n";
                	exit;
                }
                $pwd=$tmp[1];
                $pwd=$tmp[1];
                
                if($pwd!=""){
               		@unlink("/usr/conf/apiusers.conf");
                	$handle = fopen("/usr/conf/apiusers.conf","w");
                	fputs($handle, "admin:". $pwd);
                	fclose($handle);
                	echo "setapipwd:success" ."\n";
				}else{
					echo "setapipwd:error:empty_password_not_allowed" ."\n";
				}
				exit;
        }
        elseif ($cmd=="getsipstate")
        {
               	$error=0; 
                $isgw=new isgwtelnet();
                $result=$isgw->isgw_login();
				if(!$result){
					echo "getsipstate:error" ."\n";
					exit;
				}
								
                $isdnresult=$isgw->isgw_sipstate();
				echo "getsipstate:success" ."\n";
				echo $isdnresult;
				
                exit;
        }
        elseif ($cmd=="getisdnstate")
        {
               	$error=0; 
                $isgw=new isgwtelnet();
                $result=$isgw->isgw_login();
				if(!$result){
					echo "getisdnstate:error" ."\n";
					exit;
				}
								
                $isdnresult=$isgw->isgw_isdnstate();
				echo "getisdnstate:success" ."\n";
				echo $isdnresult;
				
                exit;
        }
        elseif ($cmd=="reload")
        {
               	$error=0; 
                $isgw=new isgwtelnet();
                $result=$isgw->isgw_login();
				if(!$result)$error=1;
                $result=$isgw->isgw_dialplanreload();
				if(!$result)$error=1;
                $result=$isgw->isgw_sipreload();
				if(!$result)$error=1;
                
                
                $strpath="/usr/conf/";
				$db=new beroAri($strpath . "ari.db");
				if(!$error){
					
					$strsql="Update activate set option=0 where option=1";
					$res=$db->delete($strsql);
                	echo "reload:success";
                }else{
                	echo "reload:error";
				}
                exit;
        }
        elseif ($cmd=="restart")
        {
                $result=exec('/usr/local/init/S50isgw stop');
                $result=exec('/usr/local/init/S10li-setup stop');
                $result=exec('/usr/local/init/S10li-setup start');
                $result=exec('/usr/local/init/S50isgw start');
                $strpath="/usr/conf/";
				$db=new beroAri($strpath . "ari.db");
                if($result){
                	$strsql="Update activate set option=0";
					$res=$db->delete($strsql);
                	echo "restart:success";
                }else{
                	echo "restart:error";
				}
                exit;
        }
        elseif ($cmd=="reboot")
        {
        		$result=exec('/sbin/reboot');
        		echo "reboot:rebooting....";
                exit;
        }
        elseif ($cmd=="restoreoldconfig")
        {
                        $result=exec('/usr/local/bin/update-tftp.sh restore');
                        echo $result;
                exit;
        }

        elseif($cmd=="settftp"){
                //echo $cmd . $data ."\n";
                $bc=new beroConf('root');
                $data=split(":",$data);
                if(count($data)!=3){
                	echo "settftp:failed:settftp_requires_3_parameters\n";
                	exit;
                }
                $tmp=split("=",$data[0]);
                $tftphost=$tmp[1];
                $tmp=split("=",$data[1]);
                $tftpurl=$tmp[1];
                $tmp=split("=",$data[2]);
                $tftponboot=$tmp[1];
                if ($tftponboot =="yes" || $tftponboot=="no")
                {
                	$bc->set("root","tftp-host",$tftphost);
                	$bc->set("root","tftp-url",$tftpurl);
                	$bc->set("root","use-boot-prov",$tftponboot);
                	echo "settftp:success\n";
                	exit;
                }else{
                	echo "settftp:failed:valid_values_for_tftponboot_are[yes|no]\n";
                	exit;                	                
				}
         }       
         elseif($cmd=="sethttp"){
                //echo $cmd . $data ."\n";
                $bc=new beroConf('root');
                $data=split(":",$data);
                
                
                if(count($data)!=3 && count($data)!=4){
                	echo "sethttp:failed:sethttp_requires_3_parameters\n";
                	exit;
                }
                
				for ($i = 0; $i < count($data) ; $i++)
				{
					if(substr_count($data[$i],"=")==1){
						$tmp=split("=",$data[$i]);
						
					}else{		
						$pos=strpos($data[$i],"=");
						$tmp[0]=substr($data[$i],0,$pos);
						$tmp[1]=substr($data[$i],$pos+1);
												
					}
					switch ($tmp[0]){
						case 'httphost':
							$httphost=$tmp[1];
							break;
						case 'httpurl':
							$httpurl=$tmp[1];
							break;
						case 'httpport':
							$httpport=$tmp[1];
							break;
						case 'httponboot':
							$httponboot=$tmp[1];
							if ($httponboot !="yes" && $httponboot!="no"){
								echo "sethttp:failed:valid_values_for_httponboot_are[yes|no]\n";
								exit;                	                
							}
							break;
						default:
							echo "sethttp:failed:unkown_key:" . $tmp[0] . "\n";
							exit;                	                	
					}
					
				}
								
				$bc->set("root","http-host",$httphost);
                if($httpport==""){
                	$bc->set("root","http-host",$httphost);
                }else{
					$bc->set("root","http-host",$httphost . ":" . $httpport);
				}
				$bc->set("root","http-url",$httpurl);
                $bc->set("root","use-boot-prov",$httponboot);
                echo "sethttp:success\n";
                exit;
                
                
       }
       elseif($cmd=="setprovtype"){
                //echo $cmd . $data ."\n";
                $bc=new beroConf('root');
				$tmp=split("=",$data);
                
				if (count($tmp)!=2){
                	echo "setprovtype:error:requires_1_parameter" ."\n";
                	exit;
                }
                $prov_type=$tmp[1];
				echo $prov_type . "\n";
                if ($prov_type =="http" || $prov_type=="tftp")
                {
                	$bc->set("root","provisioning-option",$prov_type);
                	echo "setprovtype:success\n";
                	exit;
                }else{
                	echo "setprovtype:failed:valid_values_for_setprovtype_are[http|tftp]\n";
                	exit;                	                
			}
                
       }
		
        elseif ($cmd=="config_update" || $cmd=="tftp_config_update")
        {
                $result=exec('/usr/local/bin/update-tftp.sh config');
                echo $result;
                exit;
        }
        elseif ($cmd=="firmware_update" || $cmd=="tftp_firmware_update") 
        {
                $result=exec('/usr/local/bin/update-tftp.sh firmware');
                echo $result;
                exit;
        }
	
        elseif ($cmd=="getlif"){
        	
        		exec('/bin/cat /proc/li*',$resl);
                $i=0;
                foreach ($resl as $zeile){
                        preg_match("/type: (?<li>.+)/",$zeile,$lif);
                        
                        if (($lif[li]!="unknown") && ($lif[li]!="")){
                                if ($lif[li]=="xhfc-4su") $type="bf4S0";
                                if ($lif[li]=="hfc-e1") $type="bf1E1";
                                if ($lif[li]=="hfc-2e1") $type="bf2E1";
                                echo "lif:" . $i . ";type:" . $type . "\n<br>" ;
                                $i++;
                        }
                        
                }
						
			exit;
        }
        elseif ($cmd=="getinfo"){
        	//ROOTFS VERSION
			$f=@file("/VERSION");
            $tmp=split("=",$f[1]);
            $rootfs=$tmp[1];
			echo "ROOTFSVersion:" . $rootfs . "\n";
			
			//APPFS VERSION
			$bc = new beroConf('root');
			$appfs=$bc->get("root", "app-image");
			echo "APPFSVersion:" . $appfs . "\n";
			
			//HW REVISION
			exec('/bin/cat /proc/cmdline',$res);
            preg_match("/[^a-zA-Z0-9=]*?n=(?<number>.+)/",$res[0],$hwrev);
			echo "HWRevision:" . $hwrev[number] . "\n";
			
			//Serial
			preg_match("/[^a-zA-Z0-9=]*?d=(?<zahlen>.+)/",$res[0],$serial);
			echo "HWSerial:" . $serial[zahlen] . "\n";
			
			//MAC
			exec('/sbin/ifconfig eth0 | /bin/grep HWaddr',$resm);
            preg_match("/[^a-zA-Z0-9:]*? HWaddr (?<mac>.+)/",$resm[0],$mac);
			echo "MAC:" . $mac[mac] . "\n";
			
			//FPGA VERSION
			$fpga=exec("/bin/cat /proc/FPGA_VERSION");
			echo "FPGAVersion:" . $fpga . "\n";
			
			//API Version
			echo "APIVersion:" . $Version . "\n";
			
			exit;
        }
        elseif ($cmd=="createconfig"){
			chdir("/tmp/");
            if(file_exists("beroconfig.tar.gz"))unlink("beroconfig.tar.gz");
            chdir("/usr/conf/");
            $result=exec('tar -czf /tmp/beroconfig.tar.gz isdn.conf isgw.dialplan isgw.sip isgw.conf isgw.isdn');
            echo "createconfig:success";
            echo "<script>window.location='config_download.php';</script>";
            exit;
        }
		elseif ($cmd=="setwebpwd"){                     
            $data=split(":",$data);
            if(count($data)!=2){
               	echo "setwebpwd:failed:setwebpwd_requires_2_parameters\n";
              	exit;
            }
                $tmp=split("=",$data[0]);
                $opwd=$tmp[1];
                $tmp=split("=",$data[1]);
                $npwd=$tmp[1];                
                $strpath="/usr/conf/";
				$db=new beroAri($strpath . "ari.db");
                $strsql=$db->select("SELECT password from users");
                $old_encyptedpwd=$db->fetch_array($strsql);
				require_once("../berogui/includes/password_func.php");
				if (tep_validate_password($opwd,$old_encyptedpwd['password'])){
					$pass=tep_encrypt_password($npwd);
					$strsql=$db->update("UPDATE users SET password='".$pass."' where user='admin'");
				}else{
					echo "setwebpwd:failed:oldpwd_does_not_match";
					exit;
				}			
            echo "setwebpwd:success";
            exit;            
		}else{
			
	 	}	
				
	//echo "Unknown Command:" . $cmd . "\n<br>";
    //    echo "<a href='./beroFix.php?cmd=help'>For help: http://[IPADDRESS]/app/api/beroFix.php?cmd=help" . "</a>"."\n";
	//Start here
	include "../berogui/includes/variables.php";
	//HEADER
	print '<html><head><link rel="stylesheet" type="text/css" href="http:../berogui/includes/template_css.css" />';
	print "<title>beroAri</title></head><body>";
	print "<br><table align=\"center\" bgcolor=\"#f0f0ec\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"500\">
	    <colgroup>
	    <col width=\"39\"></col>
	    </colgroup>
		<tbody><tr>
		<td colspan=\"2\"><img src=\"../berogui/includes/images/bg_top.png\"></td>
		</tr>
		<tr>
		<td background=\"../berogui/includes/images/bg_left.png\" style='background-repeat:repeat-y;' width=\"30\"><img src=\"../berogui/includes/images/trans.gif\" height=\"10\" width=\"39\"></td>
		<td><p align='left'><img src=\"../berogui/includes/images/berofixlogo.png\"/></p><center><hr size= \"1\" noshade>";
	//Start text
		echo "<font face='Loma,Sans,Arial' size='5' color='#918e8c'>beroFix Configuration API</font><br>";
		
		
		if(!isset($display)){
			$ret .= "<br/><br/>
			    	<table class='contenttoc' width='90%'> 
					<tr><th>Commands</th></tr>";
			    
			$ret.="<tr><td nowrap>Commands have always the following schema:</td></tr>";
			$ret.="<td nowrap>beroFix.php?cmd=[command]&data=[key1]=[value1]:[key2]=[value2]...</td></table><br/><br/><br/>";
			$ret .= "<table  class='contenttocc' width='90%'><tr><th colspan='2' textalign ='left'>Commands Overview</th></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=setapipwd'><B>SetAPIPWD</B></td><td nowrap>Function to set the beroFix Configuration API Password</a></td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=setwebpwd'><B>SetWebPWD</B></td><td nowrap>Function to set the beroFix Web Password</a></td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=setprovtype'><B>SetProvType</B></td><td>Function to set the beroFix provisioning mode to tftp or http</a></td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=settftp'><B>SetTFTP</B></td><td>Function to set TFTP Server and URL</a></td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=sethttp'><B>SetHTTP</B></td><td>Function to set HTTP Server and URL</a></td></tr>";

			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=getlif'><B>GetLif</B></td><td>Function to get detected Lineinterfaces.</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=getinfo'><B>GetInfo</B></td><td>Function to get Version infos for HW Revison or firmware ...</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=getisdnstate'><B>GetISDNState</B></td><td>Function to get the state of each configured port</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=getsipstate'><B>GetSIPState</B></td><td>Function to get the state of each SIP Registar</td></tr>";

			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=config_update'><B>Config_Update</B></td><td>Function to start Config Update via TFTP or HTTP depending on how setprovtype is set</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=firmware_update'><B>Firmware_Update</B></td><td>Function to start Firmware update via TFTP or HTTP depending on how setprovtype is set</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=createconfig'><B>CreateConfig</B></td><td>Function to create and download config files</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=restoreoldconfig'><B>RestoreOldConfig</B></td><td>Function to Restore the previous provisioning config</td></tr>";
			
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=fulltrace'><B>Fulltrace</B></td><td>Function start/stop/download a Fulltrace</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=reload'><B>Reload</B></td><td>Function Reload with new settings</td></tr>";
			$ret .= "<tr><td align='left'><a href='./beroFix.php?cmd=info&data=info=reboot'><B>Reboot</B></td><td>Function to Reboot berofix</td></tr>";
			$ret.="</table><br/>";
			
						
		}else{
			
			$ret= $display;
		}
			
		echo $ret;
		
		//FOOTER
		
		echo "<hr size= \"1\" noshade><br/><table align='right'>
			<tr><td></td></tr>
			<tr><td><a href=\"http://www.beronet.com\" target=\"_blank\" onfocus=\"if (this.blur()) { this.blur(); }\">
						<img src=\"../berogui/includes/images/beroLogo.gif\" align=\"right\" border=\"0\">
					</a>
			</td></tr></table>";
		echo "</center></td></tr>
		<tr><td colspan=\"2\" style=\"background-repeat:no-repeat\" background=\"../berogui/includes/images/bg_bottom.png\">
			<img src=\"../berogui/includes/images/trans.gif\" border=\"0\" height=\"39\" width=\"10\">
			<div style=\"color: white;\" align=\"right\">&nbsp;&nbsp;&nbsp;</div>
		</td></tr></body></html>";
		
		/*
		 * echo "</center></td></tr>
		<tr><td colspan=\"2\" style=\"background-repeat:no-repeat\" background=\"../berogui/includes/images/bg_bottom.png\">
			<img src=\"../berogui/includes/images/trans.gif\" border=\"0\" height=\"39\" width=\"10\">
			<div style=\"color: white;\" align=\"right\">API Ver. " . $Version . "&nbsp;&nbsp;&nbsp;</div>
		</td></tr></body></html>";
		*/
	
	function infocmd ($sinfo) {
		
		$bc=new beroConf('root');
		$IPADDRESS=$bc->get('root','lan-ipaddr');
		if ($sinfo=="setapipwd"){
			$title=$sinfo;
			$helptext="Function to set the beroFix Configuration API Password";
			$usage=array("[command]=setapipwd","[key]=password","[value]=[yourpassword]","Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=setapipwd&data=password=admin");
			$return=array("setapipwd:success -> if everthing was ok.","setapipwd:error -> if an error occured.");
		 }
		 elseif ($sinfo=="fulltrace"){
			$title=$sinfo;
			$helptext="Function start,stop and download a Fulltrace on the berofix for support reasons.<br>Download File (DebugFiles.tar.gz) to analyze with Wireshark.";
			$usage=array("[command]=fulltrace","[key1]=action","[value1]=[start|stop|download]","[key2]=sipsig","[value2]=[yes|no] <i>only set if action=start</i>","[key3]=sipaudio","[value3]=[yes|no] <i>only set if action=start</i>","Examples:","<a href='./beroFix.php?cmd=fulltrace&data=action=start:sipsig=yes:sipaudio=no'>Start: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=fulltrace&data=action=start:sipsig=yes:sipaudio=no","<a href='./beroFix.php?cmd=fulltrace&data=action=stop'>Stop: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=fulltrace&data=action=stop","<a href='./beroFix.php?cmd=fulltrace&data=action=download'>Download: http://" . $IPADDRESS  ."/app/api/beroFix.php?cmd=fulltrace&data=action=download");
			$return=array("fulltrace:success -> if everthing was ok.","fulltrace:error -> if an error occured.");
		 }	
		 elseif ($sinfo=="setwebpwd"){
			$title=$sinfo;
			$helptext="Function to set the beroFix Web Password";
			$usage=array("[command]=setwebpwd","[key1]=oldpassword","[value1]=[oldpassword]","[key2]=newpassword","[value2]=[newpassword]","<a href='./beroFix.php?cmd=setwebpwd&data=oldpassword=admin:newpassword=admin'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=setwebpwd&data=oldpassword=admin:newpassword=admin" . "</a>");
			$return=array("setwebpwd:success -> if everthing was ok.","setwebpwd:error -> if an error occured.");
		 }
		 elseif ($sinfo=="setprovtype"){
			$title=$sinfo;
			$helptext="Function to set the beroFix provisioning mode to tftp or http.";
			$usage=array("[command]=setprovtype","[key]=type","[value]=[tftp|http]","Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=setprovtype&data=type=tftp");
			$return=array("setprovtype:success -> if everthing was ok.","setprovtype:error -> if an error occured.");
		 }
		 elseif ($sinfo=="settftp"){
			$title=$sinfo;
			$helptext="Function to set TFTP Server and URL.";
			$usage=array("[command]=settftp","[key1]=tftphost","[value1]=[tftphostIP]","[key2]=tftpurl","[value2]=[tftURL]","[key3]=tftponboot","[value3]=[yes|no]","Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=settftp&data=tftphost=10.0.0.1:tftpurl=berofix:tftponboot=no");
			$return=array("settftp:success -> if everthing was ok.","settftp:error -> if an error occured.");
		 }	
		 elseif ($sinfo=="sethttp"){
			$title=$sinfo;
			$helptext="Function to set HTTP Server and URL.";
			$usage=array("[command]=sethttp","[key1]=httphost","[value1]=[httphostIP]","[key2]=httpurl","[value2]=[httpurl]","[key3]=httponboot","[value3]=[yes|no]","[key4]=httpport","[value4]=[httpport]","Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=sethttp&data=httphost=10.0.0.1:httpport=81:httpurl=berofix:httponboot=no");
			$return=array("sethttp:success -> if everthing was ok.","sethttp:error -> if an error occured.");
		 }	
		elseif ($sinfo=="config_update"){
			$title=$sinfo;
			$helptext="Function to start Config Update via TFTP or HTTP depending on how setprovtype is set.";
			$usage=array("[command]=config_update","<a href='./beroFix.php?cmd=config_update'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=config_update" . "</a>");
			$return=array("config_update:Prov_type:success -> if everthing was ok","config_update:Prov_type:failed:[comments] ->TFTP / HTTP problem or no Download selected.[comments] for details","config_update:Prov_type:error -> if an major error occured. Check Config Files.");
		 }	
		elseif ($sinfo=="firmware_update"){
			$title=$sinfo;
			$helptext="Function to start Firmware update via TFTP or HTTP depending on how setprovtype is set.";
			$usage=array("[command]=firmware_update","<a href='./beroFix.php?cmd=firmware_update'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=firmware_update" . "</a>");
			$return=array("firmware_update:Prov_type:success -> if everthing was ok","firmware_update:Prov_type:failed:[comments] ->TFTP / HTTP problem or no Download selected.[comments] for details","firmware_update:Prov_type:error -> if an major error occured.");
		 }	
		elseif ($sinfo=="getlif"){
			$title=$sinfo;
			$helptext="Function to get currently detected Lineinterfaces.";
			$usage=array("[command]=getlif","<a href='./beroFix.php?cmd=getlif'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=getlif" . "</a>");
			$return=array("lif:Lineinterface Number","type:Lineinterface type","lif:[0|1];type:[bf4S0|bf1E1|bf2E1|bf2GSM|bf4FXO|bf4FXS]","Example:","lif:0;type:bf2E1","lif:1;type:bf4S0");
		 }			
		elseif ($sinfo=="getinfo"){
			$title=$sinfo;
			$helptext="Function to get Version infos for HW Revison,Firmwareversion etc.";
			$usage=array("[command]=getinfo","<a href='./beroFix.php?cmd=getinfo'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=getinfo" . "</a>");
			$return=array("ROOTFSVersion:[number]","APPFSVersion:[number]","HWRevision:[number]","HWSerial:[number]","FPGAVersion:[number]","MAC:[macaddress]","APIVersion:[version]");
		 }			
		 elseif ($sinfo=="reload"){
			$title=$sinfo;
			$helptext="Function to reload settings.";
			$usage=array("[command]=reload","<a href='./beroFix.php?cmd=reload'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=reload" . "</a>");
			$return=array("reload:success -> if everthing was ok","reload:error ->if an error occured");
		 }	
		 elseif ($sinfo=="reboot"){
			$title=$sinfo;
			$helptext="Function Reboot device.";
			$usage=array("[command]=reboot","<a href='./beroFix.php?cmd=reboot'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=reboot" . "</a>");
			$return=array("reboot:rebooting... -> if reboot is initiated");
		 }
		 elseif ($sinfo=="createconfig"){
			$title=$sinfo;
			$helptext="Function to create and download 'beroconfig.tar.gz' config files.";
			$usage=array("[command]=createconfig","<a href='./beroFix.php?cmd=createconfig'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=createconfig" . "</a>");
			$return=array("createconfig:success -> if everthing was ok","createconfig:error -> if an error occured");
		 }
		 elseif ($sinfo=="getisdnstate"){
			$title=$sinfo;
			$helptext="Function to get the state of each configured port.";
			$usage=array("[command]=getisdnstate","<a href='./beroFix.php?cmd=getisdnstate'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=getisdnstate" . "</a>");
			$return=array("getisdnstate:success -> if everthing was ok","getisdnstate:error -> if an error occured");
		 }
		 elseif ($sinfo=="getsipstate"){
			$title=$sinfo;
			$helptext="Function to get the state of each SIP Registar.";
			$usage=array("[command]=getsipstate","<a href='./beroFix.php?cmd=getsipstate'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=getsipstate" . "</a>");
			$return=array("getsipstate:success -> if everthing was ok","getsipstate:error -> if an error occured");
		 }
		 elseif ($sinfo=="restoreoldconfig"){
			$title=$sinfo;
			$helptext="Function to Restore the previous provisioning config.";
			$usage=array("[command]=restoreoldconfig","<a href='./beroFix.php?cmd=restoreoldconfig'>Example: http://" . $IPADDRESS . "/app/api/beroFix.php?cmd=restoreoldconfig" . "</a>");
			$return=array("restoreoldconfig:success -> if everthing was ok","restoreoldconfig:error -> if an error occured");
		 }else{
	 		
	 	 }
		 		 
		$dis  = "<br/><br/>";
		$dis .= "<table  class='contenttocc' width='90%'><tr><th colspan='2' textalign ='left'>" . $title . "</th></tr>";
		$dis .= "<tr><td nowrap>" . $helptext . "</td></tr>";
		$dis .= "<tr><td>Usage: <ul>";
		
		foreach ($usage as $value){
				$dis.="<li>" . $value . "</li>";
		}				
		$dis .="</ul></td></tr>";
		$dis.= "<tr><td>Return values:<ul>";
		foreach ($return as $value){
					$dis.="<li>" . $value . "</li>";
		}
		$dis .="</ul></td></tr></table><br/>";
		$dis .="<a href='./beroFix.php'><B> << back >></B></a>";
		return $dis;
		
	}
	
	
?>
        

